Bug 1566682 - before running ansible-playbook site.yaml should mention to cd /usr/share/ceph-ansible
Summary: before running ansible-playbook site.yaml should mention to cd /usr/share/cep...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: All
OS: Linux
unspecified
low
Target Milestone: z1
: 3.*
Assignee: John Brier
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1668330
TreeView+ depends on / blocked
 
Reported: 2018-04-12 19:07 UTC by John Brier
Modified: 2019-08-26 06:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 06:55:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Brier 2018-04-12 19:07:54 UTC
Description of problem:

3.2. Installing a Red Hat Ceph Storage Cluster

https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html/installation_guide_for_red_hat_enterprise_linux/deploying-red-hat-ceph-storage#installing-a-red-hat-ceph-storage-cluster

Step 9 has you run a command that requires you to be in /usr/share/ansible but the previous command example showed you in the home directory. So in step 9 it should perhaps say something like "if you aren't already in /usr/share/ansible, cd to it, or just include it in the example.

Problem:
 As the Ansible user, ensure that Ansible can reach the Ceph hosts:

[user@admin ~]$ ansible all -m ping

Add the following line to the /etc/ansible/ansible.cfg file:

retry_files_save_path = ~/

As the Ansible user, run the ceph-ansible playbook.

[user@admin ceph-ansible]$ ansible-playbook site.yml <---implies you're in /usr/share/ansible but 'ansible all -m ping' above was run from the home directory.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 John Brier 2019-01-28 19:42:59 UTC
This should actually be set to VERIFIED. It's not my role to set it to RELEASE_PENDING.


Note You need to log in before you can comment on or make changes to this bug.